Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.StyleHint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.StyleHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.StyleHint

extends java.lang.Enum
implements QtEnumerator

Style hints are used by the `font matching` algorithm to find an appropriate default family if a selected font family is not available.

See Also:
  Serialized Form

Field Summary
`static QFont.StyleHint` | `AnyStyle` leaves the font matching algorithm to choose the family.
`static QFont.StyleHint` | `Courier` a synonym for `TypeWriter`.
`static QFont.StyleHint` | `Helvetica` is a synonym for `SansSerif`.
`static QFont.StyleHint` | `OldEnglish` the font matcher prefers decorative fonts.
`static QFont.StyleHint` | `System` the font matcher prefers system fonts.
`static QFont.StyleHint` | `Times` is a synonym for `Serif`.

Method Summary
`static QFont.StyleHint` | `resolve(int value)` Returns the QFont$StyleHint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.StyleHint` | `valueOf(java.lang.String name)`
`static QFont.StyleHint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Helvetica

    public static final QFont.StyleHint Helvetica

  is a synonym for `SansSerif`.

### Times

    public static final QFont.StyleHint Times

  is a synonym for `Serif`.

### Courier

    public static final QFont.StyleHint Courier

  a synonym for `TypeWriter`.

### OldEnglish

    public static final QFont.StyleHint OldEnglish

  the font matcher prefers decorative fonts.

### System

    public static final QFont.StyleHint System

  the font matcher prefers system fonts.

### AnyStyle

    public static final QFont.StyleHint AnyStyle

  leaves the font matching algorithm to choose the family. This is the default.

Method Detail

### values

    public static QFont.StyleHint[] values()

### valueOf

    public static QFont.StyleHint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.StyleHint resolve(int value)

  Returns the QFont$StyleHint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD